Bug Hunting Session
Bug 85932 - Change case group button
Summary: Change case group button
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
: 108614 (view as bug list)
Depends on:
Blocks: Split-Group-Buttons Writer-Toolbars Calc-Toolbars
  Show dependency treegraph
 
Reported: 2014-11-05 20:05 UTC by Timur
Modified: 2017-11-14 00:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
change case drop down in Word 2010 (9.14 KB, image/png)
2014-11-22 23:44 UTC, Yousuf Philips (jay) (retired)
Details
Enough space for an extra button (96.46 KB, image/png)
2017-06-25 11:22 UTC, Marco A.G.Pinto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2014-11-05 20:05:24 UTC
There should be icons for all change case options, as drop-down button, and added to Formatting toolbar as not visible. 
I suggest icons with stylized letters: Sc (sentense case), sc (small), AC (all capitals), CW (capitalize - every - words), tC (toggle case) or maybe Abc, abc, ABC, AaBbCc (well, somehow..), aBC. 
Now, only lowercase and UPPERCASE have icons.
Comment 1 Sveinn í Felli 2014-11-05 20:47:25 UTC
Due to localization:

"Sc (sentense case), sc (small), AC (all capitals), CW (capitalize - every - words), tC (toggle case)" --> Please no!

"Abc, abc, ABC, AaBbCc, aBC" --> Much better; similar to the letter symbols for Bold, Italic, Underline
Comment 2 Jean-Baptiste Faure 2014-11-06 20:49:16 UTC
Not a bug, enhancement.
Comment 3 tommy27 2014-11-16 22:31:01 UTC
(In reply to Sveinn í Felli from comment #1)
> ...
> 
> "Abc, abc, ABC, AaBbCc, aBC" --> Much better; similar to the letter symbols
> for Bold, Italic, Underline

"Abc, abc, ABC, aBC" look feasible but how do you think we can have a AaBbCc icon if the icon toolbar size is just 16x16 pixels? 

anyway since 4 out of 5 could be easily done, I set status to NEW
Comment 4 Timur 2014-11-17 10:17:27 UTC
(In reply to tommy27 from comment #3)

> "Abc, abc, ABC, aBC" look feasible but how do you think we can have a AaBbCc
> icon if the icon toolbar size is just 16x16 pixels? 

Well, it may be ABC with abc as a shadow or written below in some other color
Comment 5 tommy27 2014-11-17 10:32:41 UTC Comment hidden (obsolete)
Comment 6 Timur 2014-11-22 17:57:38 UTC Comment hidden (obsolete)
Comment 7 Yousuf Philips (jay) (retired) 2014-11-22 23:44:26 UTC
Created attachment 109871 [details]
change case drop down in Word 2010

(In reply to Timur from comment #6)
> Sorry, shouldn't it be attached? 
> And a question, can this be in a drop - down button?

Yes ideally this should be a split/group button that drop downs the entries in Format > Change Case. That is how it is in MS Word as well, as can be seen in the attached image.

(In reply to Timur from comment #4)
> Well, it may be ABC with abc as a shadow or written below in some other color

Unfortunately, it would be visible on a 16x16 icon. Barely anything is visible at that size, which is why we have text next to it in the menus. :D
Comment 8 Heiko Tietze 2016-05-23 14:41:07 UTC
Using letters or text in icons is never a good idea. While native speakers may guess what Sc means it would be hard for others (and localizing icons is not recommended). Furthermore I doubt that changing cases is one of the most frequently actions. If we add quick access then at the sidebar, IMHO.

The main menu itself has the proposed options (Format > Text > Change Case, resp. Alt+OXC). So my recommendation is to close this bug as WONTFIX.
Comment 9 Timur 2016-05-23 14:55:56 UTC
I strongly disagree, not because I started this bug, but because I use change case rather often, and some people also. 
If Sc.. is not a good solution, then MS solution with full name.
Comment 10 Heiko Tietze 2016-05-23 15:22:44 UTC
(In reply to Timur from comment #9)
>... If Sc.. is not a good solution, then MS solution with full name.

Meaning to have a dropdown with text in the toolbar... 

And you believe there are many like you doing the case stuff frequently? Does Benjamin knows about this function, or cares about it?
Comment 11 Timur 2016-05-23 15:27:49 UTC
This is a reasonable request, and sth. that already exists in MS Office. I work a lot with memos and that's something I miss, so I guess some other too.
I understand it may stay open for years, that's how Lo works, but to close it now as WontFix (ever) I think is wrong.
Comment 12 Yousuf Philips (jay) (retired) 2016-05-24 17:21:13 UTC
Upper and lower case have buttons with icons and are hidden in the formatting toolbar for those who want to enable them.

(In reply to Heiko Tietze from comment #10)
> And you believe there are many like you doing the case stuff frequently?

Yes the OOo stats show this and changing cases would likely be the most frequently used option for users opening Format > Text.

> Does Benjamin knows about this function, or cares about it?

Changing text case is a basic function, so Benjamin will definitely want to use it when needed.
Comment 13 Yousuf Philips (jay) (retired) 2017-06-24 20:04:47 UTC
*** Bug 108614 has been marked as a duplicate of this bug. ***
Comment 14 Marco A.G.Pinto 2017-06-25 11:22:39 UTC
Created attachment 134262 [details]
Enough space for an extra button
Comment 15 Marco A.G.Pinto 2017-06-25 11:23:08 UTC
(In reply to Yousuf Philips (jay) from comment #13)
> *** Bug 108614 has been marked as a duplicate of this bug. ***


> Upper and lower case buttons are available in the formatting toolbar, but
> are hidden by default due to limited space, so this wouldnt be enabled by
> default, but users can easily enable them.
> 
> About the split button, there is already another bug about it, so this is
> being closed as a duplicate.
> 
> *** This bug has been marked as a duplicate of bug 85932 ***

@Yousuf:
There is enough space for one more button.

See the attached screenshot.
Comment 16 Yousuf Philips (jay) (retired) 2017-06-25 21:21:55 UTC
(In reply to Marco A.G.Pinto from comment #15)
> @Yousuf: There is enough space for one more button.

The first factor of whether its visible by default in toolbars is how used the button is and unfortunately this button wouldnt be, which is why the lowercase and uppercase buttons are hidden in the same toolbar. The space issue is the secondary issue and we have to limit the number of buttons so that it fits well in our base resolution of 1280x768 and also not to overload the toolbars, which would make it more difficult to find features.

Users who would use the button often will be able to make it visible and the button will be visible in the tabbed notebookbar, when its created.
Comment 17 radwan hallak 2017-11-14 00:25:23 UTC
really i missed it in LO :(